XISUITEDokumentation

Wiki Labels

6 Endpunkte. Basis-URL: https://xapi.ambertech.cloud/api/v1

List all wiki labels for a space#

GET/spaces/{spaceId}/wiki-labelsToken

Parameter

NameOrtTypBeschreibung
spaceIdPflichtPfadstring–
include_assignmentsPflichtQuerystring–
includeAssignmentsPflichtQuerystring–

Antworten

  • 200Labels returned
Beispiel (cURL)
curl -X GET "https://xapi.ambertech.cloud/api/v1/spaces/{spaceId}/wiki-labels" \
  -H "Authorization: Bearer $XISUITE_TOKEN"

Create a wiki label in a space#

POST/spaces/{spaceId}/wiki-labelsToken

Parameter

NameOrtTypBeschreibung
spaceIdPflichtPfadstring–

Request-Bodyapplication/jsonCreateWikiLabelDto

NameTypBeschreibung
namePflichtstring

Beispiel: Architecture

colorstring

Hex color code

Standard: "#6366f1"

Beispiel: #6366f1

descriptionstring–
sort_ordernumber

Standard: 0

Antworten

  • 201Label created
Beispiel (cURL)
curl -X POST "https://xapi.ambertech.cloud/api/v1/spaces/{spaceId}/wiki-labels" \
  -H "Authorization: Bearer $XISUITE_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"name":"Architecture"}'

Update a wiki label#

PUT/spaces/{spaceId}/wiki-labels/{labelId}Token

Parameter

NameOrtTypBeschreibung
spaceIdPflichtPfadstring–
labelIdPflichtPfadstring–

Request-Bodyapplication/jsonUpdateWikiLabelDto

NameTypBeschreibung
namestring–
colorstring

Beispiel: #6366f1

descriptionstring–
sort_ordernumber–

Antworten

  • 200Label updated
Beispiel (cURL)
curl -X PUT "https://xapi.ambertech.cloud/api/v1/spaces/{spaceId}/wiki-labels/{labelId}" \
  -H "Authorization: Bearer $XISUITE_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"name":"…","color":"#6366f1","description":"…"}'

Update a wiki label#

PATCH/spaces/{spaceId}/wiki-labels/{labelId}Token

Parameter

NameOrtTypBeschreibung
spaceIdPflichtPfadstring–
labelIdPflichtPfadstring–

Request-Bodyapplication/jsonUpdateWikiLabelDto

NameTypBeschreibung
namestring–
colorstring

Beispiel: #6366f1

descriptionstring–
sort_ordernumber–

Antworten

  • 200Label updated
Beispiel (cURL)
curl -X PATCH "https://xapi.ambertech.cloud/api/v1/spaces/{spaceId}/wiki-labels/{labelId}" \
  -H "Authorization: Bearer $XISUITE_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"name":"…","color":"#6366f1","description":"…"}'

Delete a wiki label#

DELETE/spaces/{spaceId}/wiki-labels/{labelId}Token

Parameter

NameOrtTypBeschreibung
spaceIdPflichtPfadstring–
labelIdPflichtPfadstring–

Antworten

  • 200Label deleted
Beispiel (cURL)
curl -X DELETE "https://xapi.ambertech.cloud/api/v1/spaces/{spaceId}/wiki-labels/{labelId}" \
  -H "Authorization: Bearer $XISUITE_TOKEN"

Reorder wiki labels#

POST/spaces/{spaceId}/wiki-labels/reorderToken

Parameter

NameOrtTypBeschreibung
spaceIdPflichtPfadstring–

Request-Bodyapplication/jsonReorderItemsDto

NameTypBeschreibung
schemaIdPflichtstring–
ordersPflichtItemOrderDto[]–
orders[].item_idPflichtstring–
orders[].row_orderPflichtnumber–

Antworten

  • 200Labels reordered
Beispiel (cURL)
curl -X POST "https://xapi.ambertech.cloud/api/v1/spaces/{spaceId}/wiki-labels/reorder" \
  -H "Authorization: Bearer $XISUITE_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"schemaId":"…","orders":[]}'
Stand: 25. Oktober 2026© 2026 XISUITE · AmberTech Solutions